(function() {
  /**
   * Experiment enable new public repo
   */
  angular.module('quayPages').config(['pages', function(pages) {
    pages.create('public-repo-exp', 'public-repo-exp.html', ExpCtrl, {
      'newLayout': true
    });
  }]);

  function ExpCtrl($scope, CookieService) {
    $scope.isEnabled = CookieService.get('quay.public-repo-exp') == 'true';

    $scope.setEnabled = function(value) {
      $scope.isEnabled = value;
      CookieService.putPermanent('quay.public-repo-exp', value.toString());
    };
  }
}());
